package ar.com.unobtainium.tonetennis
{
	import ar.com.unobtainium.tonetennis.elements.Ball;
	import ar.com.unobtainium.tonetennis.elements.Pad;
	import ar.com.unobtainium.tonetennis.scenes.Gameplay;
	import ar.com.unobtainium.tonetennis.scenes.Menu;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.KeyboardEvent;
	import flash.system.fscommand;
	import com.greensock.*;
	
	/**
	 * ...
	 * @author Balthazar Auger
	 */
	public class Main extends Sprite 
	{
		
		public var menu:Menu;
		public var gameplay:Gameplay;
		
		public function Main():void 
		{
			fscommand("fullscreen", "true");
			if (stage) init();
			else addEventListener(Event.ADDED_TO_STAGE, init);
		}
		
		private function init(e:Event = null):void 
		{
			
			
			removeEventListener(Event.ADDED_TO_STAGE, init);
			// entry point
			
			//Note: stage is 1280 x 720, but final should be 1280x800 (TBC)
			
			addScene();
		}
		
		protected function addScene():void
		{
			//var gameplayScene:Gameplay = new Gameplay();
			
			menu = new Menu();
			
			menu.addEventListener("startGameplay", startGameplay);
			
			this.addChild(menu);
		}
		
		protected function startGameplay(e:Event):void
		{
			//get points settings from menuscene
			gameplay = new Gameplay(menu.toPoints);
			gameplay.addEventListener("endGameplay", loadMenu);

			this.addChild(gameplay);
		}
		
		protected function loadMenu(e:Event):void
		{
			menu = new Menu();
			
			menu.addEventListener("startGameplay", startGameplay);

			this.addChild(menu);
		}

		
	}
	
}