package ar.com.unobtainium.tonetennis.elements 
{
	import flash.display.Sprite;
	import flash.text.TextFormat;
	import com.greensock.*;
	
	/**
	 * Shows and animates the score of a player
	 * @author Balthazar Auger
	 */
	public class ScoreDisplay extends Sprite 
	{
		
		public var points:int = 0;
		
		protected var textfield:PixelTextField;
		
		public function ScoreDisplay() 
		{
			super();
			
			textfield = new PixelTextField();
			
			var textFormat:TextFormat = new TextFormat();
			textFormat.size = 100;
			textFormat.color = 0xEEEEEE;
			
			textfield.defaultTextFormat = textFormat;
			
			textfield.text = points.toString();
			textfield.x = - textfield.textWidth / 2;
			this.addChild(textfield);
		}
		
		public function addPoint():void
		{
			var timeline:TimelineMax = new TimelineMax();
			
			timeline.append(new TweenMax(this, 0.3, { alpha:0, scaleX: 2, scaleY:2 } ));
			timeline.addCallback(increment, 0.3);
			timeline.append(new TweenMax(this, 0.3, { alpha:1, scaleX: 1, scaleY:1  } ));
			
			timeline.play();
		}
		
		private function increment():void
		{
			points++;
			textfield.text = points.toString();
			textfield.x = - textfield.textWidth / 2;
		}
		
	}

}